# Sync repo to the Codeberg mirror
name: Mirror Sync
on:
  push:
    branches: ["main", "pages"]
  workflow_dispatch: # Manual dispatch
  # schedule:
  #   - cron: "0 */6 * * *"
jobs:
  codeberg:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4.1.7
        with:
          fetch-depth: 0
      - uses: https://codeberg.org/devthefuture/repository-mirroring-action.git@v1
        with:
          target_repo_url: "git@codeberg.org:devthefuture/helm-charts.git"
          ssh_private_key: ${{ secrets.CODEBERG_SSH_PRIVATE_KEY }}